<!DOCTYPE html>
<style>
    .wrap {
        position: absolute;
        top: 50%;
        left: 50%;
        margin-top: -50px;
        margin-left: -50px;
        width: 100px;
        height: 100px;
    }
</style>
<html>
    
 <head>
       <meta charset="utf-8" />
       <title>ITEA JS-ADVANCED</title>
       <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&amp;subset=cyrillic" rel="stylesheet">
       <link href="../css/normalize.css" rel="stylesheet">
       <link href="../css/style.css" rel="stylesheet">

</head>
<body>
    
    <button onclick="ChangeColorRGB(event)" data-color="blue">Set random color rgb</button>
    <button onclick="ChangeColorHex()" data-color="blue">Set random color #</button>
    <div class="wrap" id="app"></div>

    <script>
        function ChangeColorRGB(event){
            var r = getRandomIntInclusive(0,255);
            var g = getRandomIntInclusive(0,255);
            var b = getRandomIntInclusive(0,255);

            console.log(r, g, b);
            
            document.body.style.background = "rgb(" + r + "," + g + "," + b + ")";
            document.getElementById("app").innerHTML = "rgb(" + r + "," + g + "," + b + ")";
        }

        function ChangeColorHex(){

            var r = getRandomIntInclusive(0,255);
            var g = getRandomIntInclusive(0,255);
            var b = getRandomIntInclusive(0,255);
            var code = fullColorHex(r, g, b); 
            
            console.log(r, g, b);
            console.log(code);

            document.body.style.background = "#" + code ;
            document.getElementById("app").innerHTML = "#" + code;
        }

        function getRandomIntInclusive(min, max) {
            min = Math.ceil(min);
            max = Math.floor(max);
            return Math.floor(Math.random() * (max - min + 1)) + min;
        }

        var fullColorHex = function(r,g,b) {   
            var red = rgbToHex(r);
            var green = rgbToHex(g);
            var blue = rgbToHex(b);
            return red+green+blue;
         };

        var rgbToHex = function (rgb) { 
            var hex = Number(rgb).toString(16);
            if (hex.length < 2) {
                hex = "0" + hex;
            }
            return hex;
        };        

        ChangeColorHex();

    </script>
</body>
</html>
